<?xml version="1.0" encoding="utf-8"?>
<!--
/*
 * Copyright (C) 2008 Esmertec AG.
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
-->

<com.android.mms.ui.SlideListItemView
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="?android:attr/listPreferredItemHeight"
    android:orientation="vertical">

    <ImageView android:id="@+id/image_preview"
        android:layout_width="wrap_content"
			android:paddingTop="10dip"
        android:layout_height="wrap_content"
        android:paddingLeft="2dip"
        android:scaleType="fitCenter"
        android:layout_gravity="center_horizontal"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical" >

            <TextView android:id="@+id/text_preview"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:paddingLeft="5dip"
                android:paddingRight="5dip"
                android:visibility="gone"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:textColor="#000000"
                android:autoLink="all" 
                android:linksClickable="true" 
		  
                 />
        <LinearLayout
            android:id="@+id/attachment"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:orientation="horizontal" >
                <ImageView android:id="@+id/attachment_icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="5dip"
                    android:paddingTop="5dip"
                    android:layout_weight="0" />
                <TextView android:id="@+id/attachment_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:paddingLeft="5dip"
                    android:textAppearance="?android:attr/textAppearanceMedium"
                    android:textColor="#000000"
                    android:layout_weight=".3"
                    android:maxLines="1" />

            </LinearLayout>
            <TextView android:id="@+id/duration_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:paddingLeft="10dip"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:textColor="#000000"
                android:maxLines="1"
                android:layout_weight="0" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:orientation="horizontal" 
            android:paddingBottom="18dip">
            <TextView 
                android:layout_width="0dip"
                android:layout_height="1dip"
                android:layout_gravity="center_vertical"
                android:background="#cccccc"
                android:layout_weight="1"
                />
            <TextView android:id="@+id/slide_number_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:gravity="center_horizontal"
                android:textAppearance="?android:attr/textAppearanceMedium"
                />
            <TextView
                android:layout_width="0dip"
                android:layout_height="1dip"
                android:layout_gravity="center_vertical"
                android:background="#cccccc"
                android:layout_weight="1"
                />
         </LinearLayout>        
    </LinearLayout>
</com.android.mms.ui.SlideListItemView>

